<?php
/**
 * Helper class for Hello World! module
 * 
 * @package    Joomla.Tutorials
 * @subpackage Modules
 * @link http://dev.joomla.org/component/option,com_jd-wiki/Itemid,31/id,tutorials:modules/
 * @license        GNU/GPL, see LICENSE.php
 * mod_helloworld is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */
class modVoirAussiHelper
{
    /**
     * Retrieves the hello message
     *
     * @param array $params An object containing the module parameters
     * @access public
     */    
    public static function getList( $params )
    {

		$articleid = JRequest::getInt('id');
		
		// Get an instance of the generic article model
		$article = JModelLegacy::getInstance('Article', 'ContentModel', array('ignore_request' => true));
		$article->setState('params', $params);
		$article->setState('filter.published', 1);
		$article->setState('article.id', (int) $articleid);
		
		$item = $article->getItem();
		
		
		
		$catids = array($item->catid);
		
		$catid = $item->catid;
	
		

		
		//Obtain a database connection
		$db = JFactory::getDbo();
		//Retrieve the shout					
		$query = $db->getQuery(true)
					->select('c.title as category_title, c.description, a.id as article_id, a.title as article_title, a.images as article_images, a.introtext, a.ordering as ordre')
					->from('#__content as a')
					->leftJoin("#__categories as c ON a.catid=c.id")
					->where('a.catid =' . (int)$catid . ' AND a.id !=' . (int)$articleid .' AND a.state=1 ')					
					->order('a.ordering ASC');
						
		
		
				
		//Prepare the query
		$db->setQuery($query);
		// Load the row.
		$result = $db->loadObjectList();
		

		
		//Return the result
		return $result;	
		
    }
	
	
	
}











?>